Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sun, 8 Apr 2018 10:14:44 -0400

Hi Ikumi,

You are right! One of my emacs init files modifies the exec-path and
env PATH and injects cygwin path to them. After remove the path or
re-order them, the problem disappears.  So it is not a bug.

I sincerely apologize for wasting your valuable time on the false
alarm. Thank you so much for the kind help.

Best wishes,
Liyu

On Sun, Apr 8, 2018 at 10:00 AM, Ikumi Keita <[email-masked]> wrote:
> Hi Liyu,
>
>>>>>> Liyu Gong <[email-masked]> writes:
>> Hi Ikumi,
>> The results is: "c:/cygwin64/bin/kpsewhich.exe"   !!!!!!!!!
>
>> Sorry, I must messed up somewhere in my system. Thank you so much!
>
> In your message of Apr 7 with Message-ID:
> [email-masked]
> , you wrote
>
>> I do have cygwin installed, so I tried add the following two lines in my init.el
>
>> (setenv "PATH" (concat "C:\\cygwin64\\bin;C:\\cygwin64\\lib;" (getenv "PATH")))
>> (setq exec-path (append '("C:/cygwin64/bin" "C:/cygwin64/lib") exec-path))
>
> Maybe these lines still remain in your init.el.
>
> And it seems that kpsewhich binary of cygwin discards ".." from the
> output of "kpsewhich --expand-path {.,..}", unlike other OSes.
>
> Best,
> Ikumi Keita